module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 17);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react-moment-proptypes");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("moment");

/***/ }),
/* 4 */,
/* 5 */,
/* 6 */,
/* 7 */,
/* 8 */,
/* 9 */,
/* 10 */,
/* 11 */,
/* 12 */,
/* 13 */,
/* 14 */,
/* 15 */,
/* 16 */,
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
    }
  }return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);if (staticProps) defineProperties(Constructor, staticProps);return Constructor;
  };
}();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _moment = __webpack_require__(3);

var _moment2 = _interopRequireDefault(_moment);

var _reactMomentProptypes = __webpack_require__(2);

var _reactMomentProptypes2 = _interopRequireDefault(_reactMomentProptypes);

var _Hour = __webpack_require__(18);

var _Hour2 = _interopRequireDefault(_Hour);

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { 'default': obj };
}

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _possibleConstructorReturn(self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }return call && ((typeof call === "undefined" ? "undefined" : _typeof(call)) === "object" || typeof call === "function") ? call : self;
}

function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + (typeof superClass === "undefined" ? "undefined" : _typeof(superClass)));
  }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } });if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
}

var propTypes = {
  day: _reactMomentProptypes2['default'].momentObj.isRequired,
  slotDuration: _reactMomentProptypes2['default'].momentDurationObj.isRequired,

  hourStart: _propTypes2['default'].number,
  hourEnd: _propTypes2['default'].number,

  onSlotMouseEnter: _propTypes2['default'].func,
  onSlotMouseLeave: _propTypes2['default'].func,
  onSlotMouseClick: _propTypes2['default'].func,
  isSlotAssignable: _propTypes2['default'].func
};

var defaultProps = {
  hourStart: 0,
  hourEnd: 24,

  onSlotMouseEnter: function () {
    function onSlotMouseEnter() {}

    return onSlotMouseEnter;
  }(),
  onSlotMouseLeave: function () {
    function onSlotMouseLeave() {}

    return onSlotMouseLeave;
  }(),
  onSlotMouseClick: function () {
    function onSlotMouseClick() {}

    return onSlotMouseClick;
  }(),
  isSlotAssignable: function () {
    function isSlotAssignable() {
      return true;
    }

    return isSlotAssignable;
  }()
};

var SlotsContainer = function (_React$Component) {
  _inherits(SlotsContainer, _React$Component);

  function SlotsContainer() {
    _classCallCheck(this, SlotsContainer);

    return _possibleConstructorReturn(this, (SlotsContainer.__proto__ || Object.getPrototypeOf(SlotsContainer)).apply(this, arguments));
  }

  _createClass(SlotsContainer, [{
    key: 'shouldComponentUpdate',
    value: function () {
      function shouldComponentUpdate(nextProps) {
        var day = this.props.day;

        return !day.isSame(nextProps.day);
      }

      return shouldComponentUpdate;
    }()
  }, {
    key: 'getHours',
    value: function () {
      function getHours() {
        var _props = this.props,
            hourStart = _props.hourStart,
            hourEnd = _props.hourEnd;

        var hours = [];

        for (var i = hourStart; i < hourEnd; i += 1) {
          hours.push(i);
        }

        return hours;
      }

      return getHours;
    }()
  }, {
    key: 'render',
    value: function () {
      function render() {
        var _props2 = this.props,
            slotDuration = _props2.slotDuration,
            onSlotMouseEnter = _props2.onSlotMouseEnter,
            onSlotMouseLeave = _props2.onSlotMouseLeave,
            onSlotMouseClick = _props2.onSlotMouseClick,
            isSlotAssignable = _props2.isSlotAssignable,
            day = _props2.day;

        var hours = this.getHours();

        return _react2['default'].createElement('div', { className: 'SlotsContainer' }, hours.map(function (hour) {
          return _react2['default'].createElement(_Hour2['default'], {
            key: hour,
            slotDuration: slotDuration,
            hourStart: (0, _moment2['default'])(day).startOf('day').add(hour, 'hours'),
            hourEnd: (0, _moment2['default'])(day).startOf('day').add(hour + 1, 'hours'),
            onSlotMouseEnter: onSlotMouseEnter,
            onSlotMouseLeave: onSlotMouseLeave,
            onSlotMouseClick: onSlotMouseClick,
            isSlotAssignable: isSlotAssignable
          });
        }));
      }

      return render;
    }()
  }]);

  return SlotsContainer;
}(_react2['default'].Component);

SlotsContainer.propTypes = propTypes;
SlotsContainer.defaultProps = defaultProps;

exports['default'] = SlotsContainer;

/***/ }),
/* 18 */
/***/ (function(module, exports) {

module.exports = require("./Hour");

/***/ })
/******/ ]);