module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 4);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react-moment-proptypes");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("moment");

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
    }
  }return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);if (staticProps) defineProperties(Constructor, staticProps);return Constructor;
  };
}();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactMomentProptypes = __webpack_require__(2);

var _reactMomentProptypes2 = _interopRequireDefault(_reactMomentProptypes);

var _moment = __webpack_require__(3);

var _moment2 = _interopRequireDefault(_moment);

var _momentRange = __webpack_require__(5);

var _isTouchDevice = __webpack_require__(6);

var _isTouchDevice2 = _interopRequireDefault(_isTouchDevice);

var _Event = __webpack_require__(7);

var _Event2 = _interopRequireDefault(_Event);

var _EventPreview = __webpack_require__(8);

var _EventPreview2 = _interopRequireDefault(_EventPreview);

var _SlotsContainer = __webpack_require__(9);

var _SlotsContainer2 = _interopRequireDefault(_SlotsContainer);

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { 'default': obj };
}

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _possibleConstructorReturn(self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }return call && ((typeof call === "undefined" ? "undefined" : _typeof(call)) === "object" || typeof call === "function") ? call : self;
}

function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + (typeof superClass === "undefined" ? "undefined" : _typeof(superClass)));
  }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } });if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
}

var propTypes = {
  day: _reactMomentProptypes2['default'].momentObj.isRequired,
  slotDuration: _reactMomentProptypes2['default'].momentDurationObj.isRequired,

  hourStart: _propTypes2['default'].number,
  hourEnd: _propTypes2['default'].number,

  events: _propTypes2['default'].arrayOf(_propTypes2['default'].shape({
    id: _propTypes2['default'].number.isRequired,
    beginAt: _propTypes2['default'].string.isRequired,
    endAt: _propTypes2['default'].string.isRequired
  })),

  onEventAdd: _propTypes2['default'].func,
  onEventDelete: _propTypes2['default'].func,
  onEventInstant: _propTypes2['default'].func
};

var defaultProps = {
  hourStart: 0,
  hourEnd: 24,

  events: [],

  onEventAdd: function () {
    function onEventAdd() {}

    return onEventAdd;
  }(),
  onEventDelete: function () {
    function onEventDelete() {}

    return onEventDelete;
  }(),
  onEventInstant: function () {
    function onEventInstant() {}

    return onEventInstant;
  }()
};

var Day = function (_React$PureComponent) {
  _inherits(Day, _React$PureComponent);

  function Day(props) {
    _classCallCheck(this, Day);

    var _this = _possibleConstructorReturn(this, (Day.__proto__ || Object.getPrototypeOf(Day)).call(this, props));

    _this.state = {
      slotStartFired: null
    };

    _this.isTouchDevice = false;

    _this.onSlotMouseEnter = _this.onSlotMouseEnter.bind(_this);
    _this.onSlotMouseLeave = _this.onSlotMouseLeave.bind(_this);
    _this.onSlotMouseClick = _this.onSlotMouseClick.bind(_this);
    _this.getYStyles = _this.getYStyles.bind(_this);
    _this.isSlotAssignable = _this.isSlotAssignable.bind(_this);
    _this.onEventDeleteClick = _this.onEventDeleteClick.bind(_this);
    _this.onEventInstantClick = _this.onEventInstantClick.bind(_this);
    return _this;
  }

  _createClass(Day, [{
    key: 'componentDidMount',
    value: function () {
      function componentDidMount() {
        this.isTouchDevice = (0, _isTouchDevice2['default'])();
      }

      return componentDidMount;
    }()
  }, {
    key: 'onSlotMouseEnter',
    value: function () {
      function onSlotMouseEnter(slotStart) {
        if (!this.isTouchDevice) {
          this.setState({
            slotStartFired: (0, _moment2['default'])(slotStart)
          });
        }
      }

      return onSlotMouseEnter;
    }()
  }, {
    key: 'onSlotMouseLeave',
    value: function () {
      function onSlotMouseLeave() {
        if (!this.isTouchDevice) {
          this.setState({
            slotStartFired: null
          });
        }
      }

      return onSlotMouseLeave;
    }()
  }, {
    key: 'onSlotMouseClick',
    value: function () {
      function onSlotMouseClick(slotStart, slotEnd) {
        var onEventAdd = this.props.onEventAdd;
        var slotStartFired = this.state.slotStartFired;

        if (slotStartFired !== null) {
          if (slotStartFired.isSame(slotStart)) {
            // We can create an event
            onEventAdd(slotStart.toISOString(), slotEnd.toISOString());

            this.setState({
              slotStartFired: null
            });
          } else {
            this.setState({
              slotStartFired: (0, _moment2['default'])(slotStart)
            });
          }
        } else {
          this.setState({
            slotStartFired: (0, _moment2['default'])(slotStart)
          });
        }
      }

      return onSlotMouseClick;
    }()
  }, {
    key: 'onEventDeleteClick',
    value: function () {
      function onEventDeleteClick(id) {
        var onEventDelete = this.props.onEventDelete;

        onEventDelete(id);
      }

      return onEventDeleteClick;
    }()
  }, {
    key: 'onEventInstantClick',
    value: function () {
      function onEventInstantClick(id) {
        var onEventInstant = this.props.onEventInstant;

        onEventInstant(id);
      }

      return onEventInstantClick;
    }()
  }, {
    key: 'getYStyles',
    value: function () {
      function getYStyles(startTime, endTime) {
        var _props = this.props,
            hourStart = _props.hourStart,
            slotDuration = _props.slotDuration;

        var slotHeight = 34;

        var dayMinutesStart = hourStart * 60;
        var elementMinutesStart = (0, _moment2['default'])(startTime).hour() * 60 + (0, _moment2['default'])(startTime).minute();
        var elementTop = (elementMinutesStart - dayMinutesStart) / slotDuration.minutes() * slotHeight;

        return {
          top: elementTop + 'px',
          height: slotHeight - 5 + 'px',
          left: 0,
          right: 0
        };
      }

      return getYStyles;
    }()
  }, {
    key: 'isSlotAssignable',
    value: function () {
      function isSlotAssignable(slotStart, slotEnd) {
        var momentRange = (0, _momentRange.extendMoment)(_moment2['default']);
        var events = this.props.events;

        var slotRange = momentRange.range(slotStart, slotEnd);
        var eventsInSlot = events.filter(function (event) {
          return slotRange.overlaps(momentRange.range(event.beginAt, event.endAt));
        });
        return eventsInSlot.length === 0;
      }

      return isSlotAssignable;
    }()
  }, {
    key: 'renderEvents',
    value: function () {
      function renderEvents() {
        var _this2 = this;

        var events = this.props.events;

        return _react2['default'].createElement('div', { className: 'Day__events' }, events.map(function (event) {
          return _react2['default'].createElement(_Event2['default'], {
            key: event.id,
            id: event.id,
            eventStart: event.beginAt,
            eventEnd: event.endAt,
            isInstant: event.isInstant,
            getStyle: function () {
              function getStyle() {
                return _this2.getYStyles(event.beginAt);
              }

              return getStyle;
            }(),
            onDeleteClick: _this2.onEventDeleteClick,
            onInstantClick: _this2.onEventInstantClick
          });
        }));
      }

      return renderEvents;
    }()
  }, {
    key: 'renderPreview',
    value: function () {
      function renderPreview() {
        var _this3 = this;

        var slotStartFired = this.state.slotStartFired;

        if (slotStartFired !== null) {
          this.getYStyles(slotStartFired);
          return _react2['default'].createElement(_EventPreview2['default'], {
            getStyle: function () {
              function getStyle() {
                return _this3.getYStyles((0, _moment2['default'])(slotStartFired));
              }

              return getStyle;
            }()
          });
        }
        return _react2['default'].createElement('div', null);
      }

      return renderPreview;
    }()
  }, {
    key: 'render',
    value: function () {
      function render() {
        var _props2 = this.props,
            day = _props2.day,
            slotDuration = _props2.slotDuration,
            hourStart = _props2.hourStart,
            hourEnd = _props2.hourEnd;

        return _react2['default'].createElement('div', { className: 'Day' }, _react2['default'].createElement('div', { className: 'Day__header' }, day.format('ddd D')), _react2['default'].createElement('div', { className: 'Day__hours' }, this.renderEvents(), this.renderPreview(), _react2['default'].createElement(_SlotsContainer2['default'], {
          day: day,
          slotDuration: slotDuration,
          hourStart: hourStart,
          hourEnd: hourEnd,
          onSlotMouseEnter: this.onSlotMouseEnter,
          onSlotMouseLeave: this.onSlotMouseLeave,
          onSlotMouseClick: this.onSlotMouseClick,
          isSlotAssignable: this.isSlotAssignable
        })));
      }

      return render;
    }()
  }]);

  return Day;
}(_react2['default'].PureComponent);

Day.propTypes = propTypes;
Day.defaultProps = defaultProps;

exports['default'] = Day;

/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = require("moment-range");

/***/ }),
/* 6 */
/***/ (function(module, exports) {

module.exports = require("is-touch-device");

/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = require("./Event");

/***/ }),
/* 8 */
/***/ (function(module, exports) {

module.exports = require("./EventPreview");

/***/ }),
/* 9 */
/***/ (function(module, exports) {

module.exports = require("./SlotsContainer");

/***/ })
/******/ ]);