module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 13);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react-moment-proptypes");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("moment");

/***/ }),
/* 4 */,
/* 5 */,
/* 6 */,
/* 7 */,
/* 8 */,
/* 9 */,
/* 10 */,
/* 11 */,
/* 12 */,
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
    }
  }return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);if (staticProps) defineProperties(Constructor, staticProps);return Constructor;
  };
}();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactMomentProptypes = __webpack_require__(2);

var _reactMomentProptypes2 = _interopRequireDefault(_reactMomentProptypes);

var _moment = __webpack_require__(3);

var _moment2 = _interopRequireDefault(_moment);

var _Slot = __webpack_require__(14);

var _Slot2 = _interopRequireDefault(_Slot);

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { 'default': obj };
}

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _possibleConstructorReturn(self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }return call && ((typeof call === "undefined" ? "undefined" : _typeof(call)) === "object" || typeof call === "function") ? call : self;
}

function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + (typeof superClass === "undefined" ? "undefined" : _typeof(superClass)));
  }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } });if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
}

var propTypes = {
  hourStart: _reactMomentProptypes2['default'].momentObj.isRequired,
  hourEnd: _reactMomentProptypes2['default'].momentObj.isRequired,
  slotDuration: _reactMomentProptypes2['default'].momentDurationObj.isRequired,

  onSlotMouseEnter: _propTypes2['default'].func,
  onSlotMouseLeave: _propTypes2['default'].func,
  onSlotMouseClick: _propTypes2['default'].func,
  isSlotAssignable: _propTypes2['default'].func
};

var defaultProps = {
  onSlotMouseEnter: function () {
    function onSlotMouseEnter() {}

    return onSlotMouseEnter;
  }(),
  onSlotMouseLeave: function () {
    function onSlotMouseLeave() {}

    return onSlotMouseLeave;
  }(),
  onSlotMouseClick: function () {
    function onSlotMouseClick() {}

    return onSlotMouseClick;
  }(),
  isSlotAssignable: function () {
    function isSlotAssignable() {
      return true;
    }

    return isSlotAssignable;
  }()
};

var Hour = function (_React$Component) {
  _inherits(Hour, _React$Component);

  function Hour(props) {
    _classCallCheck(this, Hour);

    var _this = _possibleConstructorReturn(this, (Hour.__proto__ || Object.getPrototypeOf(Hour)).call(this, props));

    _this.onSlotMouseEnter = _this.onSlotMouseEnter.bind(_this);
    _this.onSlotMouseLeave = _this.onSlotMouseLeave.bind(_this);
    _this.onSlotMouseClick = _this.onSlotMouseClick.bind(_this);
    return _this;
  }

  _createClass(Hour, [{
    key: 'onSlotMouseEnter',
    value: function () {
      function onSlotMouseEnter(slotStart) {
        var onSlotMouseEnter = this.props.onSlotMouseEnter;

        onSlotMouseEnter(slotStart);
      }

      return onSlotMouseEnter;
    }()
  }, {
    key: 'onSlotMouseLeave',
    value: function () {
      function onSlotMouseLeave() {
        var onSlotMouseLeave = this.props.onSlotMouseLeave;

        onSlotMouseLeave();
      }

      return onSlotMouseLeave;
    }()
  }, {
    key: 'onSlotMouseClick',
    value: function () {
      function onSlotMouseClick(slotStart) {
        var _props = this.props,
            onSlotMouseClick = _props.onSlotMouseClick,
            slotDuration = _props.slotDuration;

        onSlotMouseClick(slotStart, (0, _moment2['default'])(slotStart).add(slotDuration));
      }

      return onSlotMouseClick;
    }()
  }, {
    key: 'renderSlots',
    value: function () {
      function renderSlots() {
        var _this2 = this;

        var _props2 = this.props,
            slotDuration = _props2.slotDuration,
            hourStart = _props2.hourStart,
            isSlotAssignable = _props2.isSlotAssignable;

        var slotDurationInMinutes = slotDuration.minutes();
        var slots = [];

        for (var i = 0; i < 60 / slotDurationInMinutes; i += 1) {
          slots.push({
            key: i,
            start: (0, _moment2['default'])(hourStart).startOf('hour').add(i * slotDurationInMinutes, 'minutes'),
            end: (0, _moment2['default'])(hourStart).startOf('hour').add((i + 1) * slotDurationInMinutes, 'minutes')
          });
        }

        return _react2['default'].createElement('div', { className: 'Hour__slots' }, slots.map(function (slot) {
          return _react2['default'].createElement(_Slot2['default'], {
            key: slot.key,
            slotStart: slot.start,
            slotEnd: slot.end,
            onSlotMouseEnter: function () {
              function onSlotMouseEnter() {
                return _this2.onSlotMouseEnter(slot.start);
              }

              return onSlotMouseEnter;
            }(),
            onSlotMouseLeave: function () {
              function onSlotMouseLeave() {
                return _this2.onSlotMouseLeave(slot.start);
              }

              return onSlotMouseLeave;
            }(),
            onSlotMouseClick: function () {
              function onSlotMouseClick() {
                return _this2.onSlotMouseClick(slot.start);
              }

              return onSlotMouseClick;
            }(),
            isAssignable: function () {
              function isAssignable() {
                return isSlotAssignable(slot.start, slot.end);
              }

              return isAssignable;
            }()
          });
        }));
      }

      return renderSlots;
    }()
  }, {
    key: 'render',
    value: function () {
      function render() {
        return _react2['default'].createElement('div', { className: 'Hour' }, this.renderSlots());
      }

      return render;
    }()
  }]);

  return Hour;
}(_react2['default'].Component);

Hour.propTypes = propTypes;
Hour.defaultProps = defaultProps;

exports['default'] = Hour;

/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = require("./Slot");

/***/ })
/******/ ]);