module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 19);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react-moment-proptypes");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("moment");

/***/ }),
/* 4 */,
/* 5 */,
/* 6 */,
/* 7 */,
/* 8 */,
/* 9 */,
/* 10 */,
/* 11 */,
/* 12 */,
/* 13 */,
/* 14 */,
/* 15 */,
/* 16 */,
/* 17 */,
/* 18 */,
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
    }
  }return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);if (staticProps) defineProperties(Constructor, staticProps);return Constructor;
  };
}();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactMomentProptypes = __webpack_require__(2);

var _reactMomentProptypes2 = _interopRequireDefault(_reactMomentProptypes);

var _moment = __webpack_require__(3);

var _moment2 = _interopRequireDefault(_moment);

var _Day = __webpack_require__(20);

var _Day2 = _interopRequireDefault(_Day);

var _Navigation = __webpack_require__(21);

var _Navigation2 = _interopRequireDefault(_Navigation);

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { 'default': obj };
}

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _possibleConstructorReturn(self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }return call && ((typeof call === "undefined" ? "undefined" : _typeof(call)) === "object" || typeof call === "function") ? call : self;
}

function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + (typeof superClass === "undefined" ? "undefined" : _typeof(superClass)));
  }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } });if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
}

var propTypes = {
  days: _propTypes2['default'].number,
  slotDuration: _reactMomentProptypes2['default'].momentDurationObj,

  dayStart: _propTypes2['default'].string,
  hourStart: _propTypes2['default'].number,
  hourEnd: _propTypes2['default'].number,

  events: _propTypes2['default'].arrayOf(_propTypes2['default'].shape({
    id: _propTypes2['default'].number.isRequired,
    beginAt: _propTypes2['default'].string.isRequired,
    endAt: _propTypes2['default'].string.isRequired
  })),

  onEventAdd: _propTypes2['default'].func,
  onEventDelete: _propTypes2['default'].func,
  onEventInstant: _propTypes2['default'].func,
  onNavigate: _propTypes2['default'].func
};

var defaultProps = {
  days: 1,
  slotDuration: _moment2['default'].duration(15, 'minutes'),

  dayStart: (0, _moment2['default'])().toISOString(),
  hourStart: 0,
  hourEnd: 24,

  events: [],

  onEventAdd: function () {
    function onEventAdd() {}

    return onEventAdd;
  }(),
  onEventDelete: function () {
    function onEventDelete() {}

    return onEventDelete;
  }(),
  onEventInstant: function () {
    function onEventInstant() {}

    return onEventInstant;
  }(),
  onNavigate: function () {
    function onNavigate() {}

    return onNavigate;
  }()
};

var Timetable = function (_React$Component) {
  _inherits(Timetable, _React$Component);

  function Timetable(props) {
    _classCallCheck(this, Timetable);

    var _this = _possibleConstructorReturn(this, (Timetable.__proto__ || Object.getPrototypeOf(Timetable)).call(this, props));

    var _this$props = _this.props,
        days = _this$props.days,
        dayStart = _this$props.dayStart;

    _this.state = {
      dayStart: (0, _moment2['default'])(dayStart),
      dayEnd: (0, _moment2['default'])(dayStart).startOf('day').add(days, 'd')
    };

    _this.getDayEvents = _this.getDayEvents.bind(_this);
    _this.onNavigatePrevious = _this.onNavigatePrevious.bind(_this);
    _this.onNavigateNext = _this.onNavigateNext.bind(_this);
    return _this;
  }

  _createClass(Timetable, [{
    key: 'onNavigatePrevious',
    value: function () {
      function onNavigatePrevious() {
        var days = this.props.days;
        var dayStart = this.state.dayStart;

        var newDayStart = (0, _moment2['default'])(dayStart).subtract(days, 'd');

        this.setState({
          dayStart: newDayStart,
          dayEnd: dayStart
        });

        this.onNavigate(newDayStart);
      }

      return onNavigatePrevious;
    }()
  }, {
    key: 'onNavigateNext',
    value: function () {
      function onNavigateNext() {
        var days = this.props.days;
        var dayEnd = this.state.dayEnd;

        var newDayEnd = (0, _moment2['default'])(dayEnd).add(days, 'd');

        this.setState({
          dayStart: dayEnd,
          dayEnd: newDayEnd
        });

        this.onNavigate(dayEnd);
      }

      return onNavigateNext;
    }()
  }, {
    key: 'onNavigate',
    value: function () {
      function onNavigate(dayStart) {
        var onNavigate = this.props.onNavigate;

        onNavigate(dayStart);
      }

      return onNavigate;
    }()
  }, {
    key: 'getDayEvents',
    value: function () {
      function getDayEvents(day) {
        var events = this.props.events;

        return events.filter(function (event) {
          return (0, _moment2['default'])(event.beginAt).isSame(day, 'day');
        });
      }

      return getDayEvents;
    }()
  }, {
    key: 'renderDays',
    value: function () {
      function renderDays() {
        var _this2 = this;

        var _props = this.props,
            slotDuration = _props.slotDuration,
            hourStart = _props.hourStart,
            hourEnd = _props.hourEnd,
            onEventAdd = _props.onEventAdd,
            onEventDelete = _props.onEventDelete,
            onEventInstant = _props.onEventInstant;
        var _state = this.state,
            dayStart = _state.dayStart,
            dayEnd = _state.dayEnd;

        var dayMoments = [];

        for (var i = (0, _moment2['default'])(dayStart); i.isBefore(dayEnd); i.add(1, 'day')) {
          dayMoments.push((0, _moment2['default'])(i));
        }

        return _react2['default'].createElement('div', { className: 'Timetable__days' }, dayMoments.map(function (day, key) {
          return _react2['default'].createElement(_Day2['default'], {
            key: key,
            day: day,
            slotDuration: slotDuration,
            hourStart: hourStart,
            hourEnd: hourEnd,
            events: _this2.getDayEvents(day),
            onEventAdd: onEventAdd,
            onEventDelete: onEventDelete,
            onEventInstant: onEventInstant
          });
        }));
      }

      return renderDays;
    }()
  }, {
    key: 'render',
    value: function () {
      function render() {
        return _react2['default'].createElement('div', { className: 'Timetable' }, _react2['default'].createElement(_Navigation2['default'], {
          onNavigatePrevious: this.onNavigatePrevious,
          onNavigateNext: this.onNavigateNext
        }), this.renderDays());
      }

      return render;
    }()
  }]);

  return Timetable;
}(_react2['default'].Component);

Timetable.propTypes = propTypes;
Timetable.defaultProps = defaultProps;

exports['default'] = Timetable;

/***/ }),
/* 20 */
/***/ (function(module, exports) {

module.exports = require("./Day");

/***/ }),
/* 21 */
/***/ (function(module, exports) {

module.exports = require("./Navigation");

/***/ })
/******/ ]);