import React from 'react';
import PropTypes from 'prop-types';

const propTypes = {
  getStyle: PropTypes.func,
};

const defaultProps = {
  getStyle() {},
};

class EventPreview extends React.PureComponent {
  render() {
    const {
      getStyle,
    } = this.props;

    return (
      <div
        className="EventPreview"
        style={getStyle()}
      />
    );
  }
}

EventPreview.propTypes = propTypes;
EventPreview.defaultProps = defaultProps;

export default EventPreview;
